[#-- Macro for constructing facet fields --]
[#macro constructFacet facetFields]

  <form>
	<fieldset>
	    <input id="search" name="queryTerm" type="hidden" value="${ctx.queryTerm!?html}" />
    	<div>
    	[#list facetFields as fieldName, fieldFacet]
    	    </br>
			<b>Facets for ${fieldName}</b>
			</br>
			[#list fieldFacet?chunk(2) as facet]
				<label for="${fieldName}+${facet[0]}"> ${facet[0]} (${facet[1]})</label>
				[#if ctx.getParameterValues(fieldName)!?seq_contains(facet[0])]
				<input id="${fieldName}+${facet[0]}" name="${fieldName}" type="checkbox" value="${facet[0]}" checked/>
				[#elseif facet[1] == 0]
				<input id="${fieldName}+${facet[0]}" name="${fieldName}" type="checkbox" value="${facet[0]}" disabled/>
				[#else]
				<input id="${fieldName}+${facet[0]}" name="${fieldName}" type="checkbox" value="${facet[0]}"/>
				[/#if]
			[/#list]
			<input class="button" type="submit" value="Filter"/>
		[/#list]
      	</div>
	</fieldset>
  </form>
[/#macro]


[#-- Function for constructing filter query from selected facets --]
[#function constructFacetFilterQuery facetFields]
  [#assign facetFilterQuery = ""]

  [#list facetFields as fieldName]
    [#assign selectedFacet = ctx.getParameterValues(fieldName)!]
    [#if selectedFacet?has_content]
      [#assign fieldFilter =  "+" + fieldName + ":" + selectedFacet!?join(" AND ") + " "]
      [#assign facetFilterQuery += fieldFilter]
    [/#if]
  [/#list]

  [#return facetFilterQuery]	
[/#function]
