[#-- Macro for pager --]
[#macro pager numResults pagerSize]

  [#if content.pager?has_content && content.pager && numResults > 0]
    <div>
	  [#assign searchPageLink = cmsfn.link(cmsfn.page(content))]
	  
	  [#assign queryString = state.queryString!""]
	  [#if queryString?contains("offset")]
	    [#assign currentOffset = ctx.offset]
	    [#assign queryString = queryString?replace("offset=" + currentOffset, "")]
	    [#assign queryString = queryString?remove_ending("&")]
	  [/#if]
	  
	  [#assign pages = numResults/pagerSize]
	  [#if numResults % pagerSize == 0]
	    [#assign pages -= 1]
	  [/#if]
	  
	  [#list 0..pages as i]
	  	[#if queryString?has_content]
		  <a href="${searchPageLink}?${queryString}&offset=${i * pagerSize}">${i + 1}</a>
		[#else]
		  <a href="${searchPageLink}?offset=${i * pagerSize}">${i + 1}</a>
		[/#if]
	  [/#list]
    </div>
  [/#if]
[/#macro]
